Patch Email Template
curl --request PATCH \
--url https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"description": "<string>",
"mjml_source": "<string>",
"name": "<string>",
"plain_text": "<string>",
"subject": "<string>"
},
"type": "email_templates",
"id": "<string>"
}
}
'import requests
url = "https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}"
payload = { "data": {
"attributes": {
"description": "<string>",
"mjml_source": "<string>",
"name": "<string>",
"plain_text": "<string>",
"subject": "<string>"
},
"type": "email_templates",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
description: '<string>',
mjml_source: '<string>',
name: '<string>',
plain_text: '<string>',
subject: '<string>'
},
type: 'email_templates',
id: '<string>'
}
})
};
fetch('https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'description' => '<string>',
'mjml_source' => '<string>',
'name' => '<string>',
'plain_text' => '<string>',
'subject' => '<string>'
],
'type' => 'email_templates',
'id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"description\": \"<string>\",\n \"mjml_source\": \"<string>\",\n \"name\": \"<string>\",\n \"plain_text\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"type\": \"email_templates\",\n \"id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"description\": \"<string>\",\n \"mjml_source\": \"<string>\",\n \"name\": \"<string>\",\n \"plain_text\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"type\": \"email_templates\",\n \"id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"description\": \"<string>\",\n \"mjml_source\": \"<string>\",\n \"name\": \"<string>\",\n \"plain_text\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"type\": \"email_templates\",\n \"id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"hub_id": "<string>",
"mjml_source": "<string>",
"name": "<string>",
"subject": "<string>",
"version": 123,
"compiled_at": "<string>",
"compiled_html": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"deleted_at": "<string>",
"description": "<string>",
"plain_text": "<string>",
"team_id": "<string>",
"updated_at": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}drip-campaigns
Patch Email Template
Partially update an email template.
Changing subject, mjml_source or plain_text re-validates the
merged content (422 with source.pointer) and clears the render cache.
PATCH
/
v1
/
hubs
/
{hub_id}
/
email-templates
/
{template_id}
Patch Email Template
curl --request PATCH \
--url https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"description": "<string>",
"mjml_source": "<string>",
"name": "<string>",
"plain_text": "<string>",
"subject": "<string>"
},
"type": "email_templates",
"id": "<string>"
}
}
'import requests
url = "https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}"
payload = { "data": {
"attributes": {
"description": "<string>",
"mjml_source": "<string>",
"name": "<string>",
"plain_text": "<string>",
"subject": "<string>"
},
"type": "email_templates",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
description: '<string>',
mjml_source: '<string>',
name: '<string>',
plain_text: '<string>',
subject: '<string>'
},
type: 'email_templates',
id: '<string>'
}
})
};
fetch('https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'description' => '<string>',
'mjml_source' => '<string>',
'name' => '<string>',
'plain_text' => '<string>',
'subject' => '<string>'
],
'type' => 'email_templates',
'id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"description\": \"<string>\",\n \"mjml_source\": \"<string>\",\n \"name\": \"<string>\",\n \"plain_text\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"type\": \"email_templates\",\n \"id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"description\": \"<string>\",\n \"mjml_source\": \"<string>\",\n \"name\": \"<string>\",\n \"plain_text\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"type\": \"email_templates\",\n \"id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/v1/hubs/{hub_id}/email-templates/{template_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"description\": \"<string>\",\n \"mjml_source\": \"<string>\",\n \"name\": \"<string>\",\n \"plain_text\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"type\": \"email_templates\",\n \"id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"hub_id": "<string>",
"mjml_source": "<string>",
"name": "<string>",
"subject": "<string>",
"version": 123,
"compiled_at": "<string>",
"compiled_html": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"deleted_at": "<string>",
"description": "<string>",
"plain_text": "<string>",
"team_id": "<string>",
"updated_at": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/vnd.api+json
Show child attributes
Show child attributes